protecting single article to allow only logged-in contributors to edit it
Closed, ResolvedPublic

Description

Author: elian

Description:
Add an option in the protection dialog to protect an article from being edited
by IPs so only logged-in user can edit it further.


Version: unspecified
Severity: enhancement

bzimport added a project: MediaWiki-Page-editing.Via ConduitNov 21 2014, 7:09 PM
bzimport set Reference to bz675.
bzimport created this task.Via LegacyOct 10 2004, 6:29 PM
bzimport added a comment.Via ConduitOct 10 2004, 8:17 PM

ropers wrote:

I'm staunchly opposed to this and I think this BugZilla is the wrong medium to have a discussion about thus (thus this bug should probably be
closed).

Preventing anon edits has been discussed at length and there are many aspects to the issue of preserving quality prose. This feature request will not
singlehandedly fix these issues and IMHO it's in itself counterproductive, because:

  • It would eventually lead to anon editing getting disallowed with EVERY contested article. Yet anon editing has brought many good new contributors

to our site.

take care of this, but in reality it doesn't because you're merely developing a race condition in implementing the two, whereby POV pushers would
frequently create new accounts. This would likely lead up to an (equally bad) suggestion to only allow editing on selected articles after a certain
contribution threshhold has been met, which will make it yet easier for a few bad POV pushers to ring things for scores of good new and casual
editors.

And this is why--forgive me for the strong words--I regard this proposition as a myopic solution attempt to a very complex problem.

bzimport added a comment.Via ConduitOct 10 2004, 8:22 PM

ropers wrote:

s/to have a discussion about thus/to have a discussion about this/
s/suggestion to only allow/suggestion of only allowing/
s/to ring things for/to ruin things for/

sorry bout the ''misunderspellings''.

bzimport added a comment.Via ConduitOct 10 2004, 8:59 PM

elian wrote:

(In reply to comment #1)

I'm staunchly opposed to this and I think this BugZilla is the wrong medium to

have a discussion about thus (thus this bug should probably be

closed).

I know that's a highly controversial issue and I'm not entirely glad. Feel free
to take the discussion to the mailinglist (I announced this request in
http://mail.wikimedia.org/pipermail/wikien-l/2004-October/031055.html)

Preventing anon edits has been discussed at length and there are many aspects

to the issue of preserving quality prose. This feature request will not

singlehandedly fix these issues and IMHO it's in itself counterproductive,

because:

  • It would eventually lead to anon editing getting disallowed with EVERY

contested article. Yet anon editing has brought many good new contributors

to our site.

I'm strongly opposed to disallowing anon access to wikipedia in general for
exactly the reason you mention. However, in this limited form it's one possible
measure to ascertain the quality of contested articles once a consensus version
has been established.

  • POV pushers know how to create accounts. Granted,

[http://bugzilla.wikipedia.org/show_bug.cgi?id=674 bug 674] would at first sight
''seem'' to

take care of this, but in reality it doesn't because you're merely developing

a race condition in implementing the two, whereby POV pushers would

frequently create new accounts. This would likely lead up to an (equally bad)

suggestion to only allow editing on selected articles after a certain

contribution threshhold has been met, which will make it yet easier for a few

bad POV pushers to ring things for scores of good new and casual

editors.

That's the common argument against user bans, too. But in reality we've seen
user bans to work - not perfectly, sure, but to a reasonable degree.

And this is why--forgive me for the strong words--I regard this proposition as

a myopic solution attempt to a very complex problem.

Feel free to propose better solutions. I'm open to any suggestions which help
solving our current problems with good contributors running away because they
see their work lost due to anonymous propaganda edits.

Eloquence added a comment.Via ConduitOct 10 2004, 9:29 PM

A generic, wiki-like solution is being worked on at

http://meta.wikimedia.org/wiki/Wikiflow

hashar added a comment.Via ConduitJul 6 2005, 2:17 PM

Closing this feature request as it's not clearly established
by the community. It needs more discussion in the various
mailing lists :)

bzimport added a comment.Via ConduitJul 19 2005, 11:33 PM

zigger wrote:

*** Bug 2909 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitJul 19 2005, 11:34 PM

zigger wrote:

(In reply to comment #6)
From bug 2909 : discussion at
http://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28proposals%29#Semiprotected_status

bzimport added a comment.Via ConduitJul 22 2005, 1:40 AM

kbaas wrote:

Contrary to what has been suggested, this feature would allow _more_ editing of
pages rather than less. This would happen because articles that would otherwise
be protected, such that nobody can edit them, would be semi-protected, such that
most people can edit them. And yes, this feature would only be used in those
cases. The feature was suggested as a solution to highly-vandalized pages being
almost always protected - a solution that would allow them to be unprotected,
not as a means of preventing people from editing pages, but as a means of
allowing people to edit pages, and that's what it would do.

bzimport added a comment.Via ConduitJul 22 2005, 1:18 PM

mongomontana wrote:

In about 2 to 5 percent of the articles, it oftentimes takes numerous attempts to get new
information edited in. The reason for this is vandalism which is almost universally by anon
posters. The registered user actually enjoys a somewhat more private experience if they so
desire due to the fact of course that their IP is "hidden" from the majority of the other
editors so I see no reason why, since it requires so little personal information to do so,
that we can't politely expect users editing the most severely vandalized pages to register a
username. Naturally sockpuppeting would be expected and this would not eliminate the
vandalism, but I believe that it would make a tremendous difference, both for the true
contributor and the passive reader.

bzimport added a comment.Via ConduitJul 22 2005, 1:53 PM

kdavis2600 wrote:

I agree with Kevin Baas in that while it might be nice to say that more editing will take place on
pages such as GWB, in reality editing is extremely hampered. It is nearly impossible to see the
progress of content on that page, as one check to the history reveals so much vandalism, many
legitimate edits from both anon and users simply get lost. In addition, quality edits by anons,
due to the high amount of vandalism, are almost knee-jerk deleted at this point due to the
extremity of the problem, thus it wouldn't change much about legitimate ips. And remember folks,
we're talking about 2-5% of all of Wikipedia. We shouldn't simply hold to the dogma of anon
editing everywhere if it doesn't make sense.

And while people might think its unfair to legitimate ip users, its also very unfair to make
editors revert a single page over 30 times a day.

*That means, on any given day, the GWB article for at least an hour per day is a vandalized
version. Do we really want to take the chance that an anon who has no idea how to use the history
will come to a page like GWB within this hour per day and see a messed up version with no idea how
to view the correct one?*

bzimport added a comment.Via ConduitJul 27 2005, 6:26 PM

minorityreport wrote:

This proposed new feature wouldn't be much use because insofar as it stopped
vandalism by anon-IPs it would also stop good edits by anon-IPs. This is a wiki
and we don't like to put an artificial barrier between the editor and the content.

It has been argued that the selective blocking of anon IPs would result in
enabling more edits, because blocking IPs could solve the vandalism problem
without blocking logged-in users. But this obviously isn't the case. Vandals
tend to be more highly motivated than the average editor so they'll simply
register for an account, which takes ten seconds or so, and carry on vandalizing.

Also page protection of any kind for frequently vandalized edits really isn't
the preferred solution in any case. For instance, one of the most frequently
vandalized pages on English Wikipedia is George W. Bush
(http://en.wikipedia.org/wiki/George_W._Bush), which is vandalized very
frequently but seldom needs to be protected. The solution: a lot of people have
the page on their watch lists and vandalism is usually reverted very quickly.
Vandals are warned, and persistent vandals are blocked, by name or IP as
appropriate.

bzimport added a comment.Via ConduitJul 27 2005, 9:26 PM

kdavis2600 wrote:

(In reply to comment #11)

This proposed new feature wouldn't be much use because insofar as it stopped
vandalism by anon-IPs it would also stop good edits by anon-IPs. This is a wiki
and we don't like to put an artificial barrier between the editor and the content.
It has been argued that the selective blocking of anon IPs would result in
enabling more edits, because blocking IPs could solve the vandalism problem
without blocking logged-in users. But this obviously isn't the case. Vandals
tend to be more highly motivated than the average editor so they'll simply
register for an account, which takes ten seconds or so, and carry on vandalizing.
Also page protection of any kind for frequently vandalized edits really isn't
the preferred solution in any case. For instance, one of the most frequently
vandalized pages on English Wikipedia is George W. Bush
(http://en.wikipedia.org/wiki/George_W._Bush), which is vandalized very
frequently but seldom needs to be protected. The solution: a lot of people have
the page on their watch lists and vandalism is usually reverted very quickly.
Vandals are warned, and persistent vandals are blocked, by name or IP as
appropriate.

Holding to the dogma of allowing anon-ips no matter what the consequence is wrong. I don't think its fair
to ask editors to revert a page 30+ times a day. In addition, it would take care of roving ip vandalism.
And I absolutely guarantee you that forcing people to login *only* on highly vandalized pages would reduce
vandalism by about 75%. Drive-by vandalism is probably the most common (if a developer wants to step in
and say the difference between vandalism done by first-time registered ips as opposed to frequent ips).
If they make an account, fine, its easier to track it.

Like I stated above, my central argument is, when people visit a page like GWB, do we really want to have
one of the most popular pages on Wikipedia show a vandalized version for at least an hour a day? What if
they are a WP newbie who doesn't know how to check the history? We have to balance the needs of anonymous
editors, frequent contributors, and most importantly, the reader rather than hold on to some dogma if it
doesn't make sense. Favoring the anonymous editor in this case severely hurts the other two, most
importantly it hurts the reader, which should be favored above all else.

bzimport added a comment.Via ConduitJul 30 2005, 9:19 AM

yelyos wrote:

Leaving aside George W. Bush for a moment here, I believe this has application
for pages like http://en.wikipedia.org/wiki/Alprazolam, where, over the ninety
edits made over June and July to date, only eight of them haven't either been to
place linkspam (always from an anonymous, changing IP) or to revert it. A few
other pages have this problem as well, and, having just reverted
http://en.wikipedia.org/wiki/Anxiety away from an linkspam attack, I must say
that I see a use for this feature. Also, perhaps we could build an editcount
into it, to address some of the "Vandals will just create accounts" concerns. Of
course, this would be more restrictive, but it would be better than having to
protect a page entirely, due to vandalism.

bzimport added a comment.Via ConduitAug 5 2005, 10:35 PM

wxprojects wrote:

Holding to the dogma of allowing anon-ips no matter what the consequence is wrong. I don't think its fair
to ask editors to revert a page 30+ times a day.

You're talking about hundreds, maybe thousands of people who watch pages like GWB and revert it at the
first sign. Heck - most of the time it's a competition to see who can revert it first! It gives non-admins
creditability and so forth and admins have rollback so its even easier for them.

In addition, it would take care of roving ip vandalism.

Nah, with a site like WP if you allow just users then they'll use scripts or something to automate the process
and after a while it will become a problem again - not in the short term but in the long term it will. I've seen
this on many wikies like MeatBall...

And I absolutely guarantee you that forcing people to login *only* on highly vandalized pages would

reduce

vandalism by about 75%.

Short term - yes. Long term - no.

Drive-by vandalism is probably the most common (if a developer wants to step in

and say the difference between vandalism done by first-time registered ips as opposed to frequent ips).
If they make an account, fine, its easier to track it.

That and people with usernames like "Dickius" :)

Like I stated above, my central argument is, when people visit a page like GWB, do we really want to have
one of the most popular pages on Wikipedia show a vandalized version for at least an hour a day?

Its usually about 20 minutes, and even then its sporadic due to load times and reverts.

What if
they are a WP newbie who doesn't know how to check the history?

That would be a problem with any wiki and a problem even if you blocked ip-only logins.

We have to balance the needs of anonymous
editors, frequent contributors, and most importantly, the reader rather than hold on to some dogma if it
doesn't make sense. Favoring the anonymous editor in this case severely hurts the other two, most
importantly it hurts the reader, which should be favored above all else.

As I mentioned, you're assuming vandels will log in - they won't - they'll use some kind of script or
something and it will be less of a pain for them and more of a pain for you guys.

bzimport added a comment.Via ConduitSep 29 2005, 11:33 PM

engler_gabriele wrote:

There are articles where IPs do only destructive work and prevent others from doing more useful
things things than reverting their nonsense all the time. And I am sure this kind of vandalism
could be reduced by this feature.

bzimport added a comment.Via ConduitSep 30 2005, 11:07 AM

robchur wrote:

(In reply to comment #1)

Spot on. Couldn't have said it better myself. Not all vandals are anons, and not
all anons are vandals. Willy on Wheels (and his ilk) create accounts and
mass-vandalise at high speed. Comment #1 sums up my views nicely.

bzimport added a comment.Via ConduitOct 1 2005, 12:03 AM

t3rinity wrote:

(In reply to comment #8)
It would definitely allow serious editors to edit more articles, as only those
who do vandalism would be excluded, and not all. In a way you are already doing
it, in allowing only admins to edit all pages, also those protected. Certain
articles seem to attract vanadalism, as #15 pointed out. These articles could be
semi-protected. Beginners would still have a lot of other articles to test. -- ~~~~

bzimport added a comment.Via ConduitOct 4 2005, 4:58 PM

chris.mckenna wrote:

I think that blocking anon-users only (as discussed in [[bug:550]]) would be the
better way around this as it would allow vandalising anons to be blocked without
penalising good logged-in users who happen to share the same ISP.

bzimport added a comment.Via ConduitDec 8 2005, 11:41 AM

elian wrote:

adjusting priority: I think we need this feature now

bzimport added a comment.Via ConduitDec 16 2005, 6:42 PM

kdavis2600 wrote:

We just completed a lengthy discussion at
http://en.wikipedia.org/wiki/Wikipedia_talk:Semi-protection_policy#Semi-
protection_proposal_v.02_straw_poll where we received over 100 people's
signatures for support for semi-protection (one of the few times 100 people on
Wikipedia ever voted support on something, see:
http://en.wikipedia.org/wiki/Wikipedia:Times_that_100_Wikipedians_actually_agreed_
and_voted_to_support_something ) as compared to only 4 oppose votes. This was
advertised in both the mailing list, on IRC, on various article and user talk
pages, and has had the input of various developers on what is feasible to
accomplish. It's time to implement this according to what was developed and
agreed to by an extensive amount of people within Wikipedia.

bzimport added a comment.Via ConduitDec 17 2005, 3:23 AM

robchur wrote:

It is an *enhancement* - those tools are there for *us* to prioritise *our* work.

bzimport added a comment.Via ConduitDec 17 2005, 5:11 AM

mongomontana wrote:

The enhancement known as Semi-Protection has passed
http://en.wikipedia.org/wiki/WP:SEMI with a final vote of 104 support, 4 oppose
and 2 neutral. Two developers gave comments (Avar and Brion), while one Steward,
Anthere offered questions, and another Steward, Datrio offered support. It is now
an Official Policy on Wikipedia. Semi-Protection has the endorsement of Jimmy
Wales http://en.wikipedia.org/w/index.php?
title=User_talk:Jimbo_Wales&diff=prev&oldid=31670664 as well. Implementation when
developers can get to it.

bzimport added a comment.Via ConduitDec 17 2005, 5:22 AM

mongomontana wrote:

(In reply to comment #22)

Fix link to my last comment

http://en.wikipedia.org/w/index.php?
title=User_talk:Jimbo_Wales&oldid=31670664#Semi-protection_policy_needs_your_input

brion added a comment.Via ConduitDec 18 2005, 7:41 AM

Switching dependencies; this doesn't actually require a separate
protection table (bug 4145), but will require changes to the
protection UI (bug 1735).

brion added a comment.Via ConduitDec 21 2005, 12:22 PM

In-progress patch is on bug 1735, live on http://test.leuksman.com/ for testing.

brion added a comment.Via ConduitDec 22 2005, 7:00 AM

Applied to HEAD, available on en.wikipedia.org.

bzimport added a comment.Via ConduitDec 23 2005, 3:15 AM

kdavis2600 wrote:

Thanks Brion for your work on getting this implemented so quickly... i'd buy you a
beer :)

Diffusion added a commit: Unknown Object (Diffusion Commit).Via DaemonsMar 4 2015, 8:22 AM

Add Comment